<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Mon Jul 17 12:51:56 CEST 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>towerwarspp.io (APP)</title>
<meta name="date" content="2017-07-17">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="towerwarspp.io (APP)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../towerwarspp/board/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../towerwarspp/main/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?towerwarspp/io/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Package" class="title">Package&nbsp;towerwarspp.io</h1>
<div class="docSummary">
<div class="block">The Input/Output package which displays the Game and computes the Input of the Player.</div>
</div>
<p>See:&nbsp;<a href="#package.description">Description</a></p>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Interface Summary table, listing interfaces, and an explanation">
<caption><span>Interface Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Interface</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../towerwarspp/io/IO.html" title="interface in towerwarspp.io">IO</a></td>
<td class="colLast">
<div class="block">Interface <a href="../../towerwarspp/io/IO.html" title="interface in towerwarspp.io"><code>IO</code></a> which extends from <a href="../../towerwarspp/preset/Requestable.html" title="interface in towerwarspp.preset"><code>Requestable</code></a> and <a href="../../towerwarspp/io/View.html" title="interface in towerwarspp.io"><code>View</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../towerwarspp/io/View.html" title="interface in towerwarspp.io">View</a></td>
<td class="colLast">
<div class="block">Interface <a href="../../towerwarspp/io/View.html" title="interface in towerwarspp.io"><code>View</code></a>

 This Interface communicates between the Interface <a href="../../towerwarspp/io/IO.html" title="interface in towerwarspp.io"><code>IO</code></a> and the Class <a href="../../towerwarspp/io/GraphicIO.html" title="class in towerwarspp.io"><code>GraphicIO</code></a> or <a href="../../towerwarspp/io/TextIO.html" title="class in towerwarspp.io"><code>TextIO</code></a>
 to control the output of the game.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Class Summary table, listing classes, and an explanation">
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../towerwarspp/io/GraphicIO.html" title="class in towerwarspp.io">GraphicIO</a></td>
<td class="colLast">
<div class="block">Class <a href="../../towerwarspp/io/GraphicIO.html" title="class in towerwarspp.io"><code>GraphicIO</code></a> interacts with the User over a GUI.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../towerwarspp/io/Hexagon.html" title="class in towerwarspp.io">Hexagon</a></td>
<td class="colLast">
<div class="block">Class <a href="../../towerwarspp/io/Hexagon.html" title="class in towerwarspp.io"><code>Hexagon</code></a> creates a single Hexagon

 This Class creates an Object of <a href="../../towerwarspp/io/Hexagon.Center.html" title="class in towerwarspp.io"><code>Hexagon.Center</code></a> in which are the Coordinates of the Center.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../towerwarspp/io/HexagonGrid.html" title="class in towerwarspp.io">HexagonGrid</a></td>
<td class="colLast">
<div class="block">Class <a href="../../towerwarspp/io/HexagonGrid.html" title="class in towerwarspp.io"><code>HexagonGrid</code></a> creates the Grid of the Hexagons.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../towerwarspp/io/TextIO.html" title="class in towerwarspp.io">TextIO</a></td>
<td class="colLast">
<div class="block">Class <a href="../../towerwarspp/io/TextIO.html" title="class in towerwarspp.io"><code>TextIO</code></a> interacting with to user over the command line.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
<a name="package.description">
<!--   -->
</a>
<h2 title="Package towerwarspp.io Description">Package towerwarspp.io Description</h2>
<div class="block">The Input/Output package which displays the Game and computes the Input of the Player.</div>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../towerwarspp/board/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../towerwarspp/main/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?towerwarspp/io/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
